# OpalMixerNodeInfo Struct Reference

`#include <opalmixer.h>`

## Public Member Functions

| OpalMixerNodeInfo (const char *name=NULL)
virtual | ~OpalMixerNodeInfo ()
virtual OpalMixerNodeInfo * | Clone () const

## Data Fields

PString | m_name
| Name for mixer node.
bool | m_closeOnEmpty
| Mixer node is removed when last participant exits.
bool | m_listenOnly
| Mixer only transmits data to "listeners".
unsigned | m_sampleRate
| Audio sample rate, usually 8000.
bool | m_audioOnly
| No video is to be allowed.
OpalVideoMixer::Styles | m_style
| Method for mixing video.
unsigned | m_width
| Width of mixed video.
unsigned | m_height
| Height of mixed video.
unsigned | m_rate
| Frame rate of mixed video.
bool | m_mediaPassThru
PString | m_displayText
| Human readable text for conference name.
PString | m_subject
| Subject for conference.
PString | m_notes
| Free text about conference.
PString | m_keywords
| Space separated list of keywords for conference.

## Detailed Description

Base class for OpalMixerNode options. The user may derive from this class, making sure they implement the Clone() funciton, to add extra options for use by their OpalMixerNode derived class.

## Constructor & Destructor Documentation

OpalMixerNodeInfo::OpalMixerNodeInfo | ( | const char * | name = `NULL` | ) | `[inline]`

virtual OpalMixerNodeInfo::~OpalMixerNodeInfo | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual OpalMixerNodeInfo* OpalMixerNodeInfo::Clone | ( |  | ) | const`[inline, virtual]`

## Field Documentation

bool OpalMixerNodeInfo::m_audioOnly

No video is to be allowed.

bool OpalMixerNodeInfo::m_closeOnEmpty

Mixer node is removed when last participant exits.

PString OpalMixerNodeInfo::m_displayText

Human readable text for conference name.

unsigned OpalMixerNodeInfo::m_height

Height of mixed video.

PString OpalMixerNodeInfo::m_keywords

Space separated list of keywords for conference.

bool OpalMixerNodeInfo::m_listenOnly

Mixer only transmits data to "listeners".

bool OpalMixerNodeInfo::m_mediaPassThru

Enable media pass through to optimise mixer node with precisely two attached connections.

PString OpalMixerNodeInfo::m_name

Name for mixer node.

PString OpalMixerNodeInfo::m_notes

Free text about conference.

unsigned OpalMixerNodeInfo::m_rate

Frame rate of mixed video.

unsigned OpalMixerNodeInfo::m_sampleRate

Audio sample rate, usually 8000.

OpalVideoMixer::Styles OpalMixerNodeInfo::m_style

Method for mixing video.

PString OpalMixerNodeInfo::m_subject

Subject for conference.

unsigned OpalMixerNodeInfo::m_width

Width of mixed video.

The documentation for this struct was generated from the following file:

- opalmixer.h